#ifndef MARFUNCTION_H_
#define MARFUNCTION_H_

//#include "documentCollection.h"
//#include "uciType.h"
#include <string>
#include "svm.h"
#include "parseCommandLine.h"
#include "helperRoutines.h"

using namespace std;

#define Malloc(type,n) (type *)malloc((n)*sizeof(type));



char * readFile(const char *fileName);
void read_problem(const char *filename, svm_problem &prob);
void read_problem_from_string(char *fps, svm_problem &prob);
const char* marFunction(char *trainString, char *valString, char *tstString,
		int argc, char * argv[]);
const char * marFunction2(char *modelString, char *inputString);


#endif /*MARFUNCTION_H_*/
